summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@gnutls.org>2014-08-10 11:24:15 +0200
committerNikos Mavrogiannopoulos <nmav@redhat.com>2014-08-11 10:02:31 +0200
commit3a90d561d43065c0ef7fc6dfce7f15c5bca1f195 (patch)
tree3625101a36ff0ef9b7cc23c889cd5ef8693b0a84
parent6f711afc06bc7d1a1b291bd0a03852cfc7ce99d4 (diff)
downloadgnutls-3a90d561d43065c0ef7fc6dfce7f15c5bca1f195.tar.gz
tests: test the decoding of a PKCS #12 structure with SHA256 MAC
Conflicts: tests/pkcs12-decode/pkcs12 Conflicts: tests/pkcs12-decode/Makefile.am
-rw-r--r--tests/pkcs12-decode/Makefile.am2
-rwxr-xr-xtests/pkcs12-decode/pkcs128
-rw-r--r--tests/pkcs12-decode/sha256.p12bin0 -> 1411 bytes
3 files changed, 9 insertions, 1 deletions
diff --git a/tests/pkcs12-decode/Makefile.am b/tests/pkcs12-decode/Makefile.am
index a702adfa8a..c0d5b8aec5 100644
--- a/tests/pkcs12-decode/Makefile.am
+++ b/tests/pkcs12-decode/Makefile.am
@@ -20,7 +20,7 @@
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
EXTRA_DIST = client.p12 noclient.p12 unclient.p12 pkcs12_2certs.p12 \
- pkcs12_5certs.p12 test-null.p12
+ pkcs12_5certs.p12 test-null.p12 sha256.p12
dist_check_SCRIPTS = pkcs12
diff --git a/tests/pkcs12-decode/pkcs12 b/tests/pkcs12-decode/pkcs12
index ca5882730a..bca969444f 100755
--- a/tests/pkcs12-decode/pkcs12
+++ b/tests/pkcs12-decode/pkcs12
@@ -57,5 +57,13 @@ if test $rc != 0; then
ret=1
fi
+file=sha256.p12
+$CERTTOOL --p12-info --inder --password 1234 --infile $srcdir/$file >/dev/null 2>&1
+rc=$?
+if test $rc != 0; then
+ echo "PKCS12 FATAL $file"
+ ret=1
+fi
+
#echo "NEON PKCS12 DONE (rc $ret)"
exit $ret
diff --git a/tests/pkcs12-decode/sha256.p12 b/tests/pkcs12-decode/sha256.p12
new file mode 100644
index 0000000000..f6779a1731
--- /dev/null
+++ b/tests/pkcs12-decode/sha256.p12
Binary files differ